<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "narration";
$formname = "Narration Print";
$file = "narr_print_fr.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {
    $name = $_POST['name'];

    if (!empty($name)) {
        $namecond = " and `accode`='$name' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE code!='' $namecond ")or die(mysqli_error($conn));

    include("includes/linkshead.php");
    ?>
    </head>
    <body>
        <div class="container">
            <?php include("includes/head_rep.php"); ?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-bordered table-condensed table-hover">
                        <tr  style="background-color: #6082BF">
                            <th>Sr.</th>
                            <th>Narration</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            $narr1 = $pmain['narr1'];
                            $narr2 = $pmain['narr2'];

                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$narr1  $narr2</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html

    <?
}
if (isset($_POST["excel"])) {
    $name = $_POST['name'];

    $namecond = "";

    if (!empty($name)) {
        $namecond = " AND `code`='$name' ";
    }

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE code!='' $namecond ")or die(mysqli_error($conn));

    $contents .= "Code,Name\n";
    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $narr1 = $pmain['narr1'];
        $narr2 = $pmain['narr2'];

        $contents .= $ctr . ",";
        $contents .= $narr1 . ' ' . $narr2 . "\n";
        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
if (isset($_POST["subpdf"])) {
    $name = $_POST['name'];

    if (!empty($name)) {
        $namecond = " and `accode`='$name' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE code!='' $namecond ")or die(mysqli_error($conn));

    require("library/fpdf/fpdf.php");

    class pdf extends fpdf {

        function Footer() {



//Position at 1.5 cm from bottom

            $this->SetY(-15);

//Arial italic 8

            $this->SetFont('Arial', 'I', 8);

//Page number

            $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
        }

    }

    $pdf = new pdf('P', 'mm', 'A4');

    $pdf->AliasNbPages();

    $pdf->AddPage();
    $pdf->SetFont('Arial', 'I', 10);
    $pdf->SetTextColor(255, 255, 255);
    $pdf->SetFillColor(96, 130, 191);
    $pdf->Cell(10, 7, "Sr.", 1, 0, '', 1);
    $pdf->Cell(180, 7, "Narration", 1, 0, '', 1);
    $pdf->SetFont('Arial', '', 1, 0);

    $pdf->SetTextColor(0, 0, 0);
    $pdf->Ln();
    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $narr1 = $pmain['narr1'];
        $narr2 = $pmain['narr2'];

        $pdf->SetFont('Arial', '', 8);
        $pdf->Cell(10, 7, "$ctr", 1);
        $pdf->Cell(180, 7, "$narr1" . "$narr2", 1);
        $pdf->Ln();
        $ctr++;
    }
    $pdf->Output("Narration.pdf", "D");
}
?>
